This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 843081 - [RHEVM] [backend] [Setup Host Networks] cannot switch rhevm interface from one NIC to another NIC
[RHEVM] [backend] [Setup Host Networks] cannot switch rhevm interface from on...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Muli Salem
network
:
Depends On:
Blocks: 820989
  Show dependency treegraph
 
Reported: 2012-07-25 10:24 EDT by Martin Pavlik
Modified: 2016-02-10 14:49 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-06 09:20:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs (62.30 KB, application/x-gzip)
2012-07-25 10:24 EDT, Martin Pavlik
no flags Details

  None (edit)
Description Martin Pavlik 2012-07-25 10:24:40 EDT
Created attachment 600312 [details]
logs

Description of problem:
if user tries to switch rhevm interface from one NIC to another it leads to rollback

Version-Release number of selected component (if applicable):
oVirt Engine Version: '3.1.0-7.el6ev' 

How reproducible:
100%

Steps to Reproduce:
1.add host with more than 1 NIC to setup
2.set rhevm interface with static IP (e.g IP:10.34.66.81, GW: 10.34.66.254, MASK 255.255.255.0)
3.Setup Host Networks -> switch rhevm network to another NIC and adjust static IP 
(e.g IP:10.34.67.13, GW: 10.34.67.30, MASK 255.255.255.224)
4. click OK

Actual results:
it is not possible to switch rhevm interface from one NIC to another

Expected results:
it should possible to switch rhevm interface from one NIC to another

Additional info:
Thread-320::ERROR::2012-07-25 15:40:34,753::API::1116::vds::(setupNetworks) connectivity check failed
Traceback (most recent call last):
  File "/usr/share/vdsm/API.py", line 1114, in setupNetworks
    supervdsm.getProxy().setupNetworks(networks, bondings, options)
  File "/usr/share/vdsm/supervdsm.py", line 59, in __call__
    return callMethod()
  File "/usr/share/vdsm/supervdsm.py", line 57, in <lambda>
    callMethod = lambda : getattr(self._supervdsmProxy._svdsm, self._funcName)(*args, **kwargs)
  File "<string>", line 2, in setupNetworks
  File "/usr/lib64/python2.6/multiprocessing/managers.py", line 740, in _callmethod
    raise convert_to_error(kind, result)
ConfigNetworkError: (10, 'connectivity check failed')
Comment 1 Dan Kenigsberg 2012-08-06 09:20:47 EDT
it is not surprising that you cannot change the IP address on the management network while keeping connectivity. Implementing something like this would require pinging the new IP address from Engine, as well as re-binding Vdsm to the new IP address. Please reopen this bug as an RFE if it needs to happen in an upcoming rhev version.

Note You need to log in before you can comment on or make changes to this bug.